# Load the rest of the code we'll use.

# And the necessary classes.
require 'mailshears/errors.rb'
require 'mailshears/exit_codes.rb'
require 'mailshears/postfixadmin_db'

# Load the default config file first, and let the user override it.
require 'default_configuration'

userconf_path = ENV['HOME'] + '/.mailshears.conf.rb'
begin
  # Don't crash if it doesn't exist. Maybe he likes the defaults?
  require userconf_path
rescue LoadError
end

Configuration::plugins.each do |plugin_file|
  require "mailshears/plugins/#{plugin_file}"
end

